Name:             apache-commons-dbcp
Version:          1.4
Release:          26
Summary:          Apache Commons DataBase Pooling Package
License:          ASL 2.0
URL:              http://commons.apache.org/dbcp/
BuildArch:        noarch
Source0:          https://archive.apache.org/dist/commons/dbcp/source/commons-dbcp-%{version}-src.tar.gz

Patch0001:        jdbc41.patch

BuildRequires:    maven-local mvn(commons-logging:commons-logging) mvn(commons-pool:commons-pool) mvn(junit:junit)
BuildRequires:    mvn(org.apache.commons:commons-parent:pom:) mvn(org.apache.geronimo.specs:geronimo-jta_1.1_spec)
BuildRequires:    mvn(org.apache.maven.plugins:maven-assembly-plugin)

%description
Many Apache projects support interaction with a relational database. Creating a new connection for each user can be
time consuming (often requiring multiple seconds of clock time), in order to perform a database transaction that might take milliseconds.
Opening a connection per user can be unfeasible in a publicly-hosted Internet application where the number of simultaneous users can be very large. Accordingly,
developers often wish to share a "pool" of open connections between all of the application's current users.
The number of users actually performing a request at any given time is usually a very small percentage of the total number of active users,
and during request processing is the only time that a database connection is required. The application itself logs into the DBMS, and handles any user account issues internally.

%package          help
Summary:          Help documents for apache-commons-dbcp
Provides:         apache-commons-dbcp-javadoc = %{version}-%{release}
Obsoletes:        apache-commons-dbcp-javadoc < %{version}-%{release}

%description      help
The apache-commons-dbcp-help package conatins manual pages and documents for apache-commons-dbcp.

%prep
%autosetup -n commons-dbcp-%{version}-src -p1
iconv -f iso8859-1 -t utf-8 RELEASE-NOTES.txt > RELEASE-NOTES.txt.conv && mv -f RELEASE-NOTES.txt.conv RELEASE-NOTES.txt

%mvn_alias : org.apache.commons:commons-dbcp
%mvn_file : apache-commons-dbcp commons-dbcp

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt

%files help -f .mfiles-javadoc
%doc NOTICE.txt README.txt RELEASE-NOTES.txt

%changelog
* Mon Nov 14 2022 yaoxin <yaoxin30@h-partners.com> - 1.4-26
- Modify invalid Source

* Mon Dec 2 2019 liujing<liujing144@huawei.com> - 1.4-25
- Package init
